Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
x
/
search-posts
Search X posts
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/x/search-posts \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "query": "typescript nestjs",
  "maxTweets": 100.5,
  "options": {
    "dateFrom": "<string>",
    "dateTo": "<string>",
    "lang": "<string>",
    "geocode": "<string>"
  }
}
'
{
  "data": [
    {
      "id": "<string>",
      "text": "<string>",
      "is_retweet": true,
      "created_at": "<string>",
      "source": "<string>",
      "lang": "<string>",
      "conversation_id": "<string>",
      "view_count": 123,
      "bookmark_count": 123,
      "like_count": 123,
      "retweet_count": 123,
      "reply_count": 123,
      "quote_count": 123,
      "url": "<string>",
      "is_quote": true,
      "is_reply": true,
      "author_x_user_id": "<string>",
      "author_username": "<string>",
      "author_display_name": "<string>",
      "retweet_tweet_id": "<string>",
      "quote_tweet_id": "<string>"
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/x/search-posts

Search X (Twitter) posts by keyword or query.
Search public X posts matching a query, with optional date, language, and location filters.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/x/search-posts \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"query": "typescript nestjs", "maxTweets": 20}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
query
string
required
Example:

"typescript nestjs"

maxTweets
number
Required range: 1 <= x <= 200
options
object

Response

Successful response.

data
object[]
required
meta
object
required